# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI="2"

inherit confutils eutils

DESCRIPTION="talloc"
HOMEPAGE="http://talloc.samba.org/"
SRC_URI="http://samba.org/ftp/talloc/${P}.tar.gz"
RESTRICT="nomirror"
LICENSE="GPL-3"
IUSE=""
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc64 ~x86"

PROVIDE="virtual/talloc"

src_prepare() {

	./autogen.sh || die "autogen.sh failed"

}

src_configure() {

	econf \
		--sysconfdir=/etc/samba \
		--localstatedir=/var \
		--enable-largefile \
	|| die "econf failed"

}

src_compile() {

	emake all || die "emake boot failed"

}

src_install() {

	emake DESTDIR="${D}" install || die "emake install failed"
	emake DESTDIR="${D}" shared-build || die "emake shared-build failed"
	dolib.so sharedbuild/lib/libtalloc.so
	dolib.a sharedbuild/lib/libtalloc.a

}
