# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI="2"

inherit confutils eutils

DESCRIPTION="tdb"
HOMEPAGE="http://tdb.samba.org/"
SRC_URI="http://samba.org/ftp/tdb/${P}.tar.gz"
RESTRICT="nomirror"
LICENSE="GPL-3"
IUSE="python tools"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc64 ~x86"

BINPROGS="bin/tdbdump bin/tdbtool bin/tdbbackup"

PROVIDE="virtual/tdb"

BINPROGS="bin/tdbbackup bin/tdbdump bin/tdbtool"

src_prepare() {

	./autogen.sh || die "autogen.sh failed"

}

src_configure() {

	econf \
		--sysconfdir=/etc/samba \
		--localstatedir=/var \
		--enable-largefile \
		$(use_enable python) \
	|| die "econf failed"

}

src_compile() {

	emake showflags dirs || die "emake boot failed"
	emake tdb.so || die "emake libs failed"
	emake libtdb.a || die "emake libs failed"
	emake ${BINPROGS} || die "emake binaries failed"

	if use python ; then
		emake build-python || die "emake build-python failed"
	fi

}

src_install() {

	emake DESTDIR="${D}" install || die "emake install failed"
	emake DESTDIR="${D}" shared-build || die "emake shared-build failed"
	dolib.so sharedbuild/lib/libtdb.so
	dolib.a sharedbuild/lib/libtdb.a

}
